#include <lv2plugin.hpp>


using namespace LV2;


class Nand3I : public Plugin<Nand3I> {
public:

  Nand3I(double rate)
    : Plugin<Nand3I>(4) {

  }

  void run(uint32_t nframes) {
    if (*p(0) > 0 && *p(1) > 0 && *p(2) > 0)
    	*p(3) = 0;
    else
    	*p(3) = 1;
  }

};


static int _ = Nand3I::register_class("http://uli-plugins.sourceforge.net/lv2/nand3i");
